Tryton - Issues

 

Issue6730

Title Implement alter_type for sqlite backend
Priority feature Status resolved
Superseder Nosy List pokoli, reviewbot, roundup-bot
Type feature request Components trytond
Assigned To pokoli Keywords review
Reviews 38591002,41661002
View: 38591002, 41661002

Created on 2017-08-24.17:34:52 by pokoli, last changed by roundup-bot.

Messages
New changeset e0586bb6e946 by Sergi Almacellas Abellana in branch '4.6':
Update sqlite capabilities on README
http://hg.tryton.org/trytond/rev/e0586bb6e946
New changeset 0c1fbcaaf301 by Sergi Almacellas Abellana in branch 'default':
Update sqlite capabilities on README
http://hg.tryton.org/trytond/rev/0c1fbcaaf301
review41661002 updated at https://codereview.tryton.org/41661002/#ps1
msg36731 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2017-11-06.14:48:54
I reopen it in order to update the README with the new functionalities. Here is review41661002
New changeset cb76212e8494 by Sergi Almacellas Abellana in branch 'default':
Implement alter_type and alter_size for sqlite backend
http://hg.tryton.org/trytond/rev/cb76212e8494
review38591002 updated at https://codereview.tryton.org/38591002/#ps100001
review38591002 updated at https://codereview.tryton.org/38591002/#ps80001
review38591002 updated at https://codereview.tryton.org/38591002/#ps40001
New review38591002 at https://codereview.tryton.org/38591002/#ps1
msg35360 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2017-08-24.17:34:51
Sqlite backend doest not support alter_type but it can be implemented as we implemented issue2647

On https://discuss.tryton.org/t/change-most-date-fields-by-datetime/42/6?u=pokoli we exposed a use case.
History
Date User Action Args
2017-11-18 13:08:51roundup-botsetmessages: + msg36935
2017-11-09 12:31:44roundup-botsetstatus: testing -> resolved
messages: + msg36762
2017-11-06 15:35:52pokolisettitle: Impelment alter_type for sqlite backend -> Implement alter_type for sqlite backend
2017-11-06 15:09:35reviewbotsetmessages: + msg36732
2017-11-06 14:48:54pokolisetstatus: resolved -> testing
reviews: 38591002 -> 38591002,41661002
messages: + msg36731
2017-09-20 11:31:37roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg35690
2017-09-18 11:51:26reviewbotsetmessages: + msg35674
2017-08-28 10:18:25reviewbotsetmessages: + msg35366
2017-08-25 13:11:21reviewbotsetmessages: + msg35362
2017-08-25 09:25:34pokolisetstatus: in-progress -> testing

Showing 10 items. Show all history (warning: this could be VERY long)